<?php require('head.php');
if(@$infos_user['droit'] > 0)
{
?>
<script src="js/highcharts.js"></script>
<script src="js/modules/exporting.js"></script>
<script type="text/javascript" src="calendrier.js"></script>

<table class="ds_box" cellpadding="0" cellspacing="0" id="ds_conclass" style="display: none;">
			<tr>
				<td id="ds_calclass"></td>
			</tr>
</table>

<?php
if(isset($_GET['du'], $_GET['au']) && strtotime($_GET['du']) && strtotime($_GET['au']))
{
	$date1 = date('Y-m-d', strtotime($_GET['du']));
	$date2 = date('Y-m-d', strtotime($_GET['au']));
}
else
{
	$date1 = date('Y-m-d', strtotime("-1 month", strtotime(date('Y-m-d'))));
	$date2 = date('Y-m-d');
}

$result_pomp = $connexion->query("SELECT * FROM relevage WHERE heure='00:15:00' and date >= '".$date1."' and date <= '".$date2."' ORDER BY date, heure ASC");

$s_date = '';
$i = 0;

while($fetch = $result_pomp->fetch())
{
	$s_date = $s_date.'"'.date("d/m/y", strtotime($fetch['date'])).'",';
	$tab_pomp1[$i] = $fetch['temp_marche_pp1'];
	$tab_pomp2[$i] = $fetch['temp_marche_pp2'];
	$i++;
}

$s_pomp1 = '';
$s_pomp2= '';
$vol_maxp1 = 0;
$vol_minp1 = 100;
$vol_totp1 = 0;

$while_date = $date1;
for($i = 0; $i < @count($tab_pomp1)-1; $i++)
{
	$volume = $tab_pomp1[$i+1] - $tab_pomp1[$i];
	if ($volume<$vol_minp1)  $vol_minp1 = $volume; 
	if ($volume>$vol_maxp1)  $vol_maxp1 = $volume;
	$vol_totp1 = $vol_totp1 + $volume;
	$s_pomp1 = $s_pomp1.($volume).',';
}

$while_date = $date1;
$vol_maxp2 = 0;
$vol_minp2 = 100;
$vol_totp2 = 0;
for($i = 0; $i < @count($tab_pomp2)-1; $i++)
{
	$volume = $tab_pomp2[$i+1] - $tab_pomp2[$i];
	if ($volume<$vol_minp2)  $vol_minp2 = $volume; 
	if ($volume>$vol_maxp2)  $vol_maxp2 = $volume;
	$vol_totp2 = $vol_totp2 + $volume;
	$s_pomp2 = $s_pomp2.($tab_pomp2[$i+1] - $tab_pomp2[$i]).',';
}

	// calcul du nombre de jours sur l'intervalle
	$TDfin = strtotime($date2); // conversion timestamp
	$TDDeb = strtotime($date1);
	$Nbjours = round(($TDfin-$TDDeb)/(60*60*24)); //division des secondes pour avoir les jours
	//$Nbjours = 31;
	// Affichage des données bilan sur la période;
	$vmoyp1=$vol_totp1/($Nbjours); // moyenne par jour
	$vmoyp2=$vol_totp2/($Nbjours); // moyenne par jour
?>

<form method="get">Du <input name="du" type="text" value="<?php echo $date1;?>" onclick="ds_sh(this);"> au <input name="au" type="text" value="<?php echo $date2;?>" onclick="ds_sh(this);"><input type="submit" value="Afficher le graphique"><em style="font-size:12px;">(format ex.: 2014-05-27)</em></form>

<script type="text/javascript">
$(function () {
        $('#container').highcharts({
			chart: {
				type: 'column',
            	zoomType: 'x'
			},
			title: {
                text: 'Temps de fonctionnement des pompes de la station de relavage<br/>du <?php echo "<b>".date("d/m/Y", strtotime($date1))."</b> au <b>".date("d/m/Y", strtotime($date2))."</b>";?>',
                x: -20 //center
            },
            subtitle: {
                <?php
                echo " text: 'T.F. pompe1 ";
				if($vol_totp1 == 0) $vol_minp1 = 0;
				echo " --- T total = <b>".round($vol_totp1, 2)."</b> H -- Tmoy/jour = <b>".round($vmoyp1, 2)."</b> H -- Tmin = <b>".round($vol_minp1, 2)."</b> H -- TMax = <b>".round($vol_maxp1, 2)."</b> H<br/>T.F. pompe2 ";
				if($vol_totp2 == 0) $vol_minp2 = 0;
				echo " --- T total = <b>".round($vol_totp2, 2)."</b> H -- Tmoy/jour = <b>".round($vmoyp2, 2)."</b> H -- Tmin = <b>".round($vol_minp2, 2)."</b> H -- TMax = <b>".round($vol_maxp2, 2)."</b> H'";
                        ?>
            },
            xAxis: {
				labels: {
					rotation: -60
				},
				categories: [<?php echo $s_date;?>]
            },
            yAxis: {
                title: {
                    text: 'Heure (H)'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
                }]
            },
            tooltip: {
                valueSuffix: 'H'
            },
            legend: {
                layout: 'vertical',
                align: 'center',
                verticalAlign: 'bottom',
                borderWidth: 0
            },
            series: [{
                name: 'Temps de fonctionnement pompe 1',
                data: [<?php echo $s_pomp1;?>]
            }, {
                name: 'Temps de fonctionnement pompe 2',
                data: [<?php echo $s_pomp2;?>]
            }]
        });
    });
</script>

<div id="container" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
<?php
}
else echo 'Vous n\'êtes pas autorisé/connecté!';
include('foot.php'); ?>